<?php

namespace Drupal\eca_metatag\Event;

use Drupal\Component\EventDispatcher\Event;

/**
 * Provides an event for eca_metatag.
 *
 * @package Drupal\eca_metatag\Event
 */
class AlterEvent extends Event {

  /**
   * @var array
   */
  protected array $metatags;

  /**
   * @var array
   */
  protected array $context;

  /**
   * @param array $metatags
   * @param array $context
   */
  public function __construct(array &$metatags, array &$context) {
    $this->metatags = &$metatags;
    $this->context = &$context;
  }

  public function hasMetatag(string $name): bool {
    return isset($this->metatags[$name]);
  }

  public function setMetatagValue(string $name, string $value): void {
    if ($this->hasMetatag($name)) {
      $this->metatags[$name] = $value;
    }
  }

}
